%define fname	openexr

%define major		22
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		OpenEXR
Summary:	A high dynamic-range (HDR) image file format
Version:	2.2.0
Release:	%mkrel 1
Source:		http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.xz
URL:		http://www.openexr.com
License:	BSD
Group:		Graphics
BuildRequires:	%{_lib}ilmbase-devel >= %{version}
BuildRequires:	zlib1-devel

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

%package -n	%{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname OpenEXR 4 -d

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q -n %{fname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# Remove doc files installed by make install, we package them in %files
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README doc/*
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Jul 21 2015 pp <pp> 2.2.0-1pclos2015
- update

* Tue Sep 22 2009 pcserver <pcserver at hush.com>
- update & rebuild


